Bug 427089 - pitivi is crashing everytine
Summary: pitivi is crashing everytine
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi   
(Show other bugs)
Version: 8
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-31 11:50 UTC by kushaldas@gmail.com
Modified: 2008-02-05 16:20 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 16:20:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kushaldas@gmail.com 2007-12-31 11:50:50 UTC
Description of problem:pitiviis crashing evrytime I am trying to run it


Version-Release number of selected component (if applicable): pitivi-0.11.0-2.fc8


How reproducible:


Steps to Reproduce:
1.run pitivi from command line
2.
3.
  
Actual results:
Crashed everytimne, telling :
[kd@kdlappy ~]$ pitivi

Gdk-ERROR **: The program 'pitivi' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 41 error_code 3 request_code 3 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
405ecf56-9f96-1e1e-7580c4c0-05608ecc is dumped



Expected results:


Additional info:

Comment 1 kushaldas@gmail.com 2007-12-31 11:53:19 UTC
sorry for the typos above :(

Comment 2 kushaldas@gmail.com 2007-12-31 11:57:37 UTC
Fixed after a 18MB yum update :)

Comment 3 kushaldas@gmail.com 2007-12-31 12:03:23 UTC
With only one successful run it again started crashing :

Gdk-ERROR **: The program 'pitivi' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 38 error_code 3 request_code 3 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
4521a4ff-b112-7563-2b6f4db5-0a3cb50e is dumped


Comment 4 Jeffrey C. Ollie 2007-12-31 13:58:39 UTC
Which version of pitivi are you running now?  Is this running on a local X
display or on a remote one?

Comment 5 kushaldas@gmail.com 2008-01-01 07:02:20 UTC
The latest one from Fedora updates, pitivi-0.11.0-2.fc8
It is a local system (X)

Comment 6 Jeffrey C. Ollie 2008-01-01 16:18:48 UTC
Version 0.11.1 of pitivi is in updates-testing, please try that:

http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/8/i386/pitivi-0.11.1-1.fc8.noarch.rpm

Comment 7 kushaldas@gmail.com 2008-01-17 07:30:22 UTC
Though that is a old version than what I have. I tested again, and it is still
failing.

Comment 8 Jeffrey C. Ollie 2008-01-17 12:51:02 UTC
Hmm... so you're running 0.11.1-2?  Is the rest of your system updated?  This
could be a bug in the python gtk/gnome bindings as well, or perhaps a bug in
gtk/gnome itself.  Also, are you running pitivi locally?  I've seen similar
problems when running X programs across a SSH connection and I've had to enable:

        ForwardX11 yes
        ForwardX11Trusted yes

in my ssh configs.


Comment 9 Jeffrey C. Ollie 2008-01-24 14:04:38 UTC
Ping... any news?

Comment 10 Jeffrey C. Ollie 2008-02-05 16:20:38 UTC
I'm going to close this bug for now, if you are still having problems please
re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.